Skip to main content
GET
Go (SDK)

Authorizations

Authorization
string
header
required

You can generate an Organization Access Token from your organization's settings.

Query Parameters

organization_id

Filter by organization ID. The organization ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

product_id

Filter by product ID. The product ID.

customer_id

Filter by customer ID. The customer ID.

external_customer_id

Filter by customer external ID. The customer external ID.

discount_id

Filter by discount ID. The product ID.

active
boolean | null
deprecated

Filter by active or inactive subscription.

status

Filter by subscription status.

Available options:
incomplete,
incomplete_expired,
trialing,
active,
past_due,
canceled,
unpaid
cancel_at_period_end
boolean | null

Filter by subscriptions that are set to cancel at period end.

customer_cancellation_reason

Filter by customer cancellation reason.

Available options:
customer_service,
low_quality,
missing_features,
switched_service,
too_complex,
too_expensive,
unused,
other
canceled_at_after
string<date-time> | null

Filter by cancellation date (after or equal to).

canceled_at_before
string<date-time> | null

Filter by cancellation date (before or equal to).

page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

sorting
enum<string>[] | null

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Available options:
customer,
-customer,
status,
-status,
started_at,
-started_at,
current_period_end,
-current_period_end,
ended_at,
-ended_at,
ends_at,
-ends_at,
amount,
-amount,
product,
-product,
discount,
-discount
metadata
MetadataQuery · object | null

Filter by metadata key-value pairs. It uses the deepObject style, e.g. ?metadata[key]=value.

Response

Successful Response

items
Subscription · object[]
required
pagination
Pagination · object
required